PamCut: BlindCutCollection Class Reference

# BlindCutCollection Class Reference

A cut collection which applies all the cuts. More...

`#include <BlindCutCollection.h>`

Inheritance diagram for BlindCutCollection:

List of all members.

## Public Member Functions
| BlindCutCollection (const char *collectionName)
| Constructor.
| ~BlindCutCollection ()
| Destructor.
int | Check (PamLevel2 *event)
| Checks all the cuts.
int | ApplyCut (PamLevel2 *event)
| Applies all the cuts to the current event.

## Detailed Description

A cut collection which applies all the cuts.

This cut collection will apply all the cuts it contains to the events, even if some of them are not satisfied.

Definition at line 20 of file BlindCutCollection.h.

## Constructor & Destructor Documentation

BlindCutCollection::BlindCutCollection | ( | const char * | collectionName | ) | `[inline]`

Constructor.

Parameters:

  | collectionName | The collection's name.

Definition at line 26 of file BlindCutCollection.h.

BlindCutCollection::~BlindCutCollection | ( |  | ) | `[inline]`

Destructor.

Definition at line 31 of file BlindCutCollection.h.

## Member Function Documentation

int BlindCutCollection::ApplyCut | ( | PamLevel2 * | event | ) | `[virtual]`

Applies all the cuts to the current event.

This routine works pretty much like the redefinition of Check(), calling ApplyCut() (instead of Check() )for each cut. However, if a cut fails, it does not stops but continues until all the cuts are evaluated. If all the cuts are successful, on exit it calls OnGood(); if a single cut failed, it calls OnBad(), passing the index of the first failed cut as selectionResult.

Parameters:

  | event | The event to analyze.

Returns:
  same return values as Check().

Reimplemented from PamCutCollection.

Definition at line 29 of file BlindCutCollection.cpp.

References PamCutCollection::_cuts, PamCut::_nEv, PamCut::_nGood, CUTOK, PamCut::OnBad(), and PamCut::OnGood().

int BlindCutCollection::Check | ( | PamLevel2 * | event | ) | `[virtual]`

Checks all the cuts.

This method checks all the cuts for the current event. It exits only after all the cuts have been evaluated. Note that it doesn't call OnGood() nor OnBad(), not even for the PamCut objects in the collection.

Returns:
  the index of the first failed cut (range: [0, #cuts-1], see AddCut()); \ CUTOK if the event satisfies all the cuts.

Reimplemented from PamCutCollection.

Definition at line 12 of file BlindCutCollection.cpp.

References PamCutCollection::_cuts, and CUTOK.

The documentation for this class was generated from the following files:

- Collections/BlindCutCollection/BlindCutCollection.h
- Collections/BlindCutCollection/BlindCutCollection.cpp